[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Bug#880020: stretch-pu: package lxc/1:2.0.7-2+deb9u1



Package: release.debian.org
Severity: normal
Tags: stretch
User: release.debian.org@packages.debian.org
Usertags: pu

Hi, this update brings two changes, both needed for ci.debian.net:

lxc (1:2.0.7-2+deb9u1) stretch; urgency=medium

  * 0003-lxc-debian-don-t-hardcode-valid-releases.patch: don't
    hardcode list of valid Debian release. Allows creating stable, buster,
    testing, and unstable containers.
  * 0004-lxc-debian-don-t-write-C.-locales-to-etc-locale.gen.patch: don't
    insert C.* locales into /etc/locale.gen (Closes: #879595)

 -- Antonio Terceiro <terceiro@debian.org>  Fri, 27 Oct 2017 15:13:31 -0200

The first will allow to create containers with our "symlink" release
names, i.e. stable, testing, etc, and also removes the need to make a
new change after buster is released to add support for creting bullseye
containers.

The second fixes an issue where the C.UTF-8 locale, used by debci, in
injected into /etc/locale.gen in containers, causing warnings that can
cause bogus test failures under autopkgtest.

The diff is attached.

-- System Information:
Debian Release: buster/sid
  APT prefers unstable-debug
  APT policy: (500, 'unstable-debug'), (500, 'testing-debug'), (500, 'unstable'), (500, 'testing'), (1, 'experimental-debug'), (1, 'experimental')
Architecture: amd64 (x86_64)

Kernel: Linux 4.13.0-1-amd64 (SMP w/4 CPU cores)
Locale: LANG=pt_BR.UTF-8, LC_CTYPE=pt_BR.UTF-8 (charmap=UTF-8), LANGUAGE=pt_BR.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash
Init: systemd (via /run/systemd/system)
diff --git a/debian/changelog b/debian/changelog
index d7d10c1..512a09d 100644
--- a/debian/changelog
+++ b/debian/changelog
@@ -1,3 +1,13 @@
+lxc (1:2.0.7-2+deb9u1) stretch; urgency=medium
+
+  * 0003-lxc-debian-don-t-hardcode-valid-releases.patch: don't
+    hardcode list of valid Debian release. Allows creating stable, buster,
+    testing, and unstable containers.
+  * 0004-lxc-debian-don-t-write-C.-locales-to-etc-locale.gen.patch: don't
+    insert C.* locales into /etc/locale.gen (Closes: #879595)
+
+ -- Antonio Terceiro <terceiro@debian.org>  Fri, 27 Oct 2017 15:13:31 -0200
+
 lxc (1:2.0.7-2) unstable; urgency=high
 
   * use bash-completion's pkg-config support and don't move files around
diff --git a/debian/patches/0003-lxc-debian-don-t-hardcode-valid-releases.patch b/debian/patches/0003-lxc-debian-don-t-hardcode-valid-releases.patch
new file mode 100644
index 0000000..b57c3be
--- /dev/null
+++ b/debian/patches/0003-lxc-debian-don-t-hardcode-valid-releases.patch
@@ -0,0 +1,51 @@
+From: Antonio Terceiro <terceiro@debian.org>
+Date: Thu, 26 Oct 2017 20:42:49 -0200
+Subject: lxc-debian: don't hardcode valid releases
+
+This avoids the dance of updating the list of valid releases every time
+Debian makes a new release.
+
+It also fixes the following bug: even though lxc-debian will default to
+creating containers of the latest stable by querying the archive, it
+won't allow you to explicitly request `stable` because the current list
+of valid releases don't include it.
+
+Last, but not least, avoid hitting the mirror in the case the desired
+release is one of the ones we know will always be there, i.e. stable,
+testing, sid, and unstable.
+
+Signed-off-by: Antonio Terceiro <terceiro@debian.org>
+
+------------------------------------------------------------------------
+
+This is a combination of upstream commits
+61fa13293d735d922ba6e5ceb66f6d8718f1a829 and
+dba285d5dfa7e9f3452dc180e64158d9bedfb410
+---
+ templates/lxc-debian.in | 13 +++++++------
+ 1 file changed, 7 insertions(+), 6 deletions(-)
+
+diff --git a/templates/lxc-debian.in b/templates/lxc-debian.in
+index 54ada05..f6dbd4f 100644
+--- a/templates/lxc-debian.in
++++ b/templates/lxc-debian.in
+@@ -623,12 +623,13 @@ if [ "$(id -u)" != "0" ]; then
+     exit 1
+ fi
+ 
+-current_release=$(wget "${MIRROR}/dists/stable/Release" -O - 2> /dev/null | head |awk '/^Codename: (.*)$/ { print $2; }')
+-release=${release:-${current_release}}
+-valid_releases=('wheezy' 'jessie' 'stretch' 'sid')
+-if [[ ! "${valid_releases[*]}" =~ (^|[^[:alpha:]])$release([^[:alpha:]]|$) ]]; then
+-    echo "Invalid release ${release}, valid ones are: ${valid_releases[*]}"
+-    exit 1
++release=${release:-stable}
++permanent_releases=('stable' 'testing' 'sid' 'unstable')
++if [[ ! "${permanent_releases[*]}" =~ (^|[^[:alpha:]])$release([^[:alpha:]]|$) ]]; then
++    if ! wget "${MIRROR}/dists/${release}/Release" -O /dev/null 2> /dev/null; then
++	echo "Invalid release ${release} (not found in mirror)"
++	exit 1
++    fi
+ fi
+ 
+ # detect rootfs
diff --git a/debian/patches/0004-lxc-debian-don-t-write-C.-locales-to-etc-locale.gen.patch b/debian/patches/0004-lxc-debian-don-t-write-C.-locales-to-etc-locale.gen.patch
new file mode 100644
index 0000000..dfcb4d3
--- /dev/null
+++ b/debian/patches/0004-lxc-debian-don-t-write-C.-locales-to-etc-locale.gen.patch
@@ -0,0 +1,24 @@
+From: Antonio Terceiro <terceiro@debian.org>
+Date: Fri, 27 Oct 2017 17:13:54 -0200
+Subject: lxc-debian: don't write C.* locales to /etc/locale.gen
+
+Doing that confuses locale generation. lxc-ubuntu does the same check
+
+Signed-off-by: Antonio Terceiro <terceiro@debian.org>
+---
+ templates/lxc-debian.in | 2 +-
+ 1 file changed, 1 insertion(+), 1 deletion(-)
+
+diff --git a/templates/lxc-debian.in b/templates/lxc-debian.in
+index f6dbd4f..2245770 100644
+--- a/templates/lxc-debian.in
++++ b/templates/lxc-debian.in
+@@ -99,7 +99,7 @@ EOF
+     # reconfigure some services
+ 
+     # but first reconfigure locales - so we get no noisy perl-warnings
+-    if [ -z "$LANG" ]; then
++    if [ -z "$LANG" ] || echo $LANG | grep -E -q "^C(\..+)*$"; then
+         cat >> "$rootfs/etc/locale.gen" << EOF
+ en_US.UTF-8 UTF-8
+ EOF
diff --git a/debian/patches/series b/debian/patches/series
index b99ca55..5e0bb25 100644
--- a/debian/patches/series
+++ b/debian/patches/series
@@ -1,2 +1,4 @@
 0010-lxc-debian-root-password.patch
 lxc-2.0-CVE-2017-5985-Ensure-target-netns-is-caller-owned.patch
+0003-lxc-debian-don-t-hardcode-valid-releases.patch
+0004-lxc-debian-don-t-write-C.-locales-to-etc-locale.gen.patch

Attachment: signature.asc
Description: PGP signature


Reply to: